Page MenuHomePhabricator

Alpha, beta: Max-width in mobile should apply to all pages
Closed, ResolvedPublic1 Story Points

Description

Currently, only Special:EditWatchlist is center aligned, Special:Watchlist isn't.
There are various other places where the centering doesn't quite work as expected

For example banners see screenshot:

Probably for that we need to add a new div containing all notices (siteNotice, localNotice, mw-dismissable-notice) and set a bottom border on that with a -1px margin, or we need to put the header inside another div that is full width and apply the border to that.

Event Timeline

bmansurov created this task.Jun 3 2015, 9:16 PM
bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a project: Readers-Web-Backlog.
bmansurov added a subscriber: bmansurov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 9:16 PM
bmansurov renamed this task from (2) Give Special:Watchlist a max-width in mobile to (2) Alpha, beta: Give Special:Watchlist a max-width in mobile.Jun 3 2015, 11:04 PM
bmansurov set Security to None.
Jdlrobson edited a custom field.Jun 8 2015, 4:05 PM
KLans_WMF renamed this task from (2) Alpha, beta: Give Special:Watchlist a max-width in mobile to Alpha, beta: Give Special:Watchlist a max-width in mobile.Jun 8 2015, 4:16 PM
KLans_WMF edited a custom field.
bmansurov moved this task from To Do to Doing on the Mobile-Web-Sprint-49-Wayne's-World board.

Change 218403 had a related patch set uploaded (by Bmansurov):
Alpha, beta: Give Special:Watchlist a max-width in mobile

https://gerrit.wikimedia.org/r/218403

These rules should also be applying to the history page which uses the same view.

Change 218781 had a related patch set uploaded (by Jdlrobson):
Generalise the desktop max width css

https://gerrit.wikimedia.org/r/218781

bmansurov reassigned this task from bmansurov to Jdlrobson.Jun 17 2015, 11:38 PM

Change 218403 abandoned by Bmansurov:
Alpha, beta: Give Special:Watchlist a max-width in mobile

Reason:
https://gerrit.wikimedia.org/r/#/c/218781/ fixes the bug.

https://gerrit.wikimedia.org/r/218403

Jdlrobson renamed this task from Alpha, beta: Give Special:Watchlist a max-width in mobile to Alpha, beta: Max-width in mobile should apply to all pages.Jun 18 2015, 9:30 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: kaldari.

Before and after screenshots look identical to me and I'm not sure why they would not be since I've been careful to not change any of the rules:
Before:


After:

@bmansurov please be a bit more descriptive and check it's not a caching problem.

I see. The bug I'm talking about has already been introduced in an earlier patch. I'll track it down and create a ticket for it. And I think your patch is good to be merged.

Change 218781 merged by jenkins-bot:
Generalise the desktop max width css

https://gerrit.wikimedia.org/r/218781

Found something outside of max-wdith on watchlist:modified

KHammerstein added a comment.EditedJun 20 2015, 12:39 AM

Otherwise it looks good. We might find more bugs, but should I sign off on this main work? @KLans_WMF

KHammerstein added a comment.EditedJun 23 2015, 9:33 PM

@Jdlrobson
I think we missed diff pages:
Should this block this task or should I create another?

@KHammerstein create a new task hopefully we can fix it in the sprint. From now we should work on a case by case basis.

@KHammerstein I made the tasks for you and put them as blocking tasks to push this to stable.

phuedx closed this task as Resolved.Jun 25 2015, 1:24 PM
phuedx added a subscriber: phuedx.

@KHammerstein: @Jdlrobson has opened a couple more tasks that block the parent task (T101344) – which should be an Epic by now – so I'm closing this as resolved.